/**
 *    This file is part of OtviTrAIn.
 *
 *    OtviTrAIn is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    OtviTrAIn is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with OtviTrAIn.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright 2008-2010 Marnix Bakker, Willem de Neve, Michiel Konstapel and Otto Visser.
 * Suggestions/comments and bugs can go to: rondjeomdekerk@konstapel.nl
 */

require("util.nut");

class OtviTown {

	function constructor() {
		::servedList <- AITownList();
	}

	static function isServed(town) {
		return ::servedList.GetValue(town); 
	}

	function setServed(town, service = 1) {
		servedList.SetValue(town, service);
	}

	function cleanUp() {
		Debug("Cleaning up townlist...");
		local townlist = AITownList();
		townlist.Valuate(Town.isServed);
		townlist.KeepValue(-1);
		foreach (town in townlist) {
			setServed(town, 0);
		}

		// TODO check stations with no vehicles, remove those and remove served status
	}
}

